summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-10-09 16:25:45 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-10-09 16:25:45 +0200
commit8c0469c9de85ebcff08964d2a36f56ea6f7499ab (patch)
tree88a75f5dc51e7fd939c2188b8d47c7947ca0d13d /net-analyzer/prometheus
parentsys-cluster/minikube: Version bump to 0.22.3 (diff)
downloadgentoo-8c0469c9de85ebcff08964d2a36f56ea6f7499ab.tar.gz
gentoo-8c0469c9de85ebcff08964d2a36f56ea6f7499ab.tar.bz2
gentoo-8c0469c9de85ebcff08964d2a36f56ea6f7499ab.zip
net-analyzer/prometheus: Version bump to 1.8.0
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Diffstat (limited to 'net-analyzer/prometheus')
-rw-r--r--net-analyzer/prometheus/Manifest1
-rw-r--r--net-analyzer/prometheus/files/prometheus-2.initd24
-rw-r--r--net-analyzer/prometheus/files/prometheus.initd19
-rw-r--r--net-analyzer/prometheus/prometheus-1.8.0.ebuild59
4 files changed, 67 insertions, 36 deletions
diff --git a/net-analyzer/prometheus/Manifest b/net-analyzer/prometheus/Manifest
index c853676459b..95e9429cd30 100644
--- a/net-analyzer/prometheus/Manifest
+++ b/net-analyzer/prometheus/Manifest
@@ -1,4 +1,5 @@
DIST prometheus-1.7.1.tar.gz 5122747 SHA256 209832310f5bef99faef3beaaa95263612a4d0126ca512c4a4c23a8543d3ccf5 SHA512 98a42e95978477530082d7549c29f17b133043d7c233ba3c90b183f06a3f24ee578f8fed75cba476d3c93a22abcccfdbccc94488beb8450a02f260d24165ba26 WHIRLPOOL 8ab473430752336e09b4a0c38fd1117abe21196478d7f2f7e813c27f07c950cc3525d9e9ba32309711c73a1032f3cff27ddc1582d0c4b6c66fe82d5b58675550
+DIST prometheus-1.8.0.tar.gz 5194115 SHA256 556247d750b3618b74ccf59669f74a8c0c39e72cdf51cbcc0c0bcc392de195df SHA512 1ac00ddae4753f99f167db9b6efc5fa442918284f59468b8e1c7743e3f946eab895678c87e12a73bf158e3c0bf3df7345dd59855baaabb54fc86f1ae1014192d WHIRLPOOL 9ff6f0dc36f022b2be107ce59878f81b210b196858064655a74e098650abc77d5a0c2afb11dd5ebb242d1e2addbc3a182b1a6ce1f751eed723e3fff3434d319c
DIST prometheus-2.0.0_beta4.tar.gz 5534359 SHA256 81196ea9d678c339ba592f29c0f0bdf6bd050862065c5b45351588dc47efbbce SHA512 2d2727e34cb6d71ba4ac431d3300a47482522c115f602358ce77c3ababb2defeec863d10d8cffc0325be0a9dde16e7c3beeed9a0f3c7b6b3b0db86e77e715b6c WHIRLPOOL 52abc94fa55d52e49d3da6a10e6504e07e5cafd635f7c337b941939ee5ff4a112dc7dfee0bfa96ae99086da9f2b14fb79eedb36158f4c0a746a77d3b158d386d
DIST prometheus-2.0.0_beta5.tar.gz 5533740 SHA256 451d4c76fe583de1df3d6164aaec1ff2105ee449706acd1843f1a2119440914e SHA512 d84fddd5eb2f03b1edf95cd4fa83312f6e617be863ea77a05864345aa1685ad227e82002d9beb3efc1c18ea6a2539dbfdbcc20aa9d2c0ba510ac7293702b4bd9 WHIRLPOOL 7facfaba5727ffa519e633f49f1ef6b59b67a11ab978eacd6533c487df68a96d46fde6ed231f48c67684a214bbbc8a88e37901a5d835d7ffacb27e702d98d348
DIST prometheus-2.0.0_rc0.tar.gz 5524499 SHA256 e1615defddf3e0a2d32e22ffba5bc3f0f37ff98fac7d4bba2b2c5bb8219f2a22 SHA512 fd382f559ea9a362e2493ea2d317afe600b0ed2299e3d6ef12678658cd62320ad39deec1b4639819b32c4ba34f124792d00dd101632b1c1e4f1123005e20e38d WHIRLPOOL 1d0ed8f35c9f9d5fca8310af21b93d35bad3397fbf88ea0cc2573412c8d58291e521212283abbe5ed4a461e2e1f62f704f96a6070509864972ff3dd1c0eacd67
diff --git a/net-analyzer/prometheus/files/prometheus-2.initd b/net-analyzer/prometheus/files/prometheus-2.initd
deleted file mode 100644
index 04f22f10fda..00000000000
--- a/net-analyzer/prometheus/files/prometheus-2.initd
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 2016-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-description="Prometheus monitoring system and time series database"
-pidfile=${pidfile:-"/run/${SVCNAME}/${SVCNAME}.pid"}
-user=${user:-${SVCNAME}}
-group=${group:-${SVCNAME}}
-
-command="/usr/bin/prometheus"
-command_args="${command_args:---config.file=/etc/prometheus/prometheus.yml --storage.tsdb.path=/var/lib/prometheus/data}"
-command_background="true"
-start_stop_daemon_args="--user ${user} --group ${group} \
- --stdout /var/log/${SVCNAME}/${SVCNAME}.log \
- --stderr /var/log/${SVCNAME}/${SVCNAME}.log"
-
-depend() {
- need net
- after net
-}
-
-start_pre() {
- checkpath -d -m 0755 -o "${user}":"${group}" "${pidfile%/*}"
-}
diff --git a/net-analyzer/prometheus/files/prometheus.initd b/net-analyzer/prometheus/files/prometheus.initd
index 2c40710ff7f..245dcc85ae6 100644
--- a/net-analyzer/prometheus/files/prometheus.initd
+++ b/net-analyzer/prometheus/files/prometheus.initd
@@ -1,24 +1,19 @@
#!/sbin/openrc-run
-# Copyright 2016 Gentoo Foundation
+# Copyright 2016-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description="Prometheus monitoring system and time series database"
-pidfile=${pidfile:-"/run/${SVCNAME}/${SVCNAME}.pid"}
-user=${user:-${SVCNAME}}
-group=${group:-${SVCNAME}}
+pidfile=${pidfile:-"/run/${RC_SVCNAME}.pid"}
+user=${user:-${RC_SVCNAME}}
+group=${group:-${RC_SVCNAME}}
command="/usr/bin/prometheus"
-command_args="${command_args:-config.file=/etc/prometheus/prometheus.yml -storage.local.path=/var/lib/prometheus/data}"
+command_args="${command_args:--config.file=/etc/prometheus/prometheus.yml -storage.local.path=/var/lib/prometheus/data}"
command_background="true"
start_stop_daemon_args="--user ${user} --group ${group} \
- --stdout /var/log/${SVCNAME}/${SVCNAME}.log \
- --stderr /var/log/${SVCNAME}/${SVCNAME}.log"
+ --stdout /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log \
+ --stderr /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
depend() {
- need net
after net
}
-
-start_pre() {
- checkpath -d -m 0755 -o "${user}":"${group}" "${pidfile%/*}"
-}
diff --git a/net-analyzer/prometheus/prometheus-1.8.0.ebuild b/net-analyzer/prometheus/prometheus-1.8.0.ebuild
new file mode 100644
index 00000000000..de0cc31726d
--- /dev/null
+++ b/net-analyzer/prometheus/prometheus-1.8.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/prometheus"
+EGIT_COMMIT="v${PV}"
+PROMETHEUS_COMMIT="3569eef"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.8
+ dev-util/promu"
+
+PROMETHEUS_HOME="/var/lib/prometheus"
+
+RESTRICT="test"
+
+pkg_setup() {
+ enewgroup prometheus
+ enewuser prometheus -1 -1 "${PROMETHEUS_HOME}" prometheus
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${PROMETHEUS_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ GOPATH="${S}" promu build -v || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dobin promtool prometheus
+ dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+ insinto /etc/prometheus
+ doins documentation/examples/prometheus.yml
+ insinto /usr/share/prometheus
+ doins -r console_libraries consoles
+ dosym ../../usr/share/prometheus/console_libraries /etc/prometheus/console_libraries
+ dosym ../../usr/share/prometheus/consoles /etc/prometheus/consoles
+ popd || die
+
+ newinitd "${FILESDIR}"/prometheus.initd prometheus
+ newconfd "${FILESDIR}"/prometheus.confd prometheus
+ keepdir /var/log/prometheus /var/lib/prometheus
+ fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}